image: ruby:2.5.5

cache:
  paths:
  - vendor/
  
variables:
  JEKYLL_ENV: production
  LC_ALL: C.UTF-8

before_script:
  - echo "entering ci"
  - gem install bundler
  #- bundle env
  #- gem install minimal-mistakes-jekyll
  - bundle config set --local path vendor
  - bundle install 

test:
  stage: test
  script:
  - bundle exec jekyll build --verbose -d test
  artifacts:
    paths:
    - test
  except:
  - main

pages:
  stage: deploy
  script:
  - bundle exec jekyll build --verbose -d public
  artifacts:
    paths:
    - public
  only:
  - main
